# EDIT IN SVN NOT IN SOURCE PACKAGE (NO PATCH ALLOWED).

%define lib_major 0.7
%define lib_minor 26
%define lib_name %mklibname %{name} %{lib_major}
%define develname %mklibname %name -d

%define build_diet 1

Name:    ldetect
Version: %{lib_major}.%{lib_minor}
%define subrel 2
Release: %mkrel 4
Summary: Light hardware detection tool
Source: %{name}-%{version}.tar.bz2
Patch0:	ldetect-usb-interfaces.patch
Patch1:	ldetect-utsname.patch
Patch2:	ldetect-no-usb-warning.diff
Group: System/Kernel and hardware
URL:	  http://www.mandrivalinux.com
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: usbutils => 0.11-2mdk pciutils-devel => 3.0.0-4mdv zlib-devel
BuildRequires: modprobe-devel
%if %{build_diet}
BuildRequires: dietlibc-devel
%endif
Conflicts: drakxtools < 9.2-0.32mdk
License: GPL

%package -n %{lib_name}
Summary: Light hardware detection library
Requires: ldetect-lst common-licenses
Requires: pciids
Group: System/Libraries

%package -n %develname
Summary: Development package for ldetect
Requires: %{lib_name} = %{version}
Provides: ldetect-devel = %version, libldetect-devel = %version
Obsoletes: ldetect-devel
Group: Development/C
Conflicts: %{mklibname ldetect 0.6}-devel
Obsoletes: %mklibname %name 0.7 -d

%description
The hardware device lists provided by this package are used as lookup 
table to get hardware autodetection

%description -n %develname
see %name

%description -n %{lib_name}
see %name

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
%if %{build_diet}
%make CFLAGS="-Os -D_BSD_SOURCE -D_FILE_OFFSET_BITS=64" CC="diet gcc" libldetect.a
cp libldetect.a libldetect-diet.a
make clean
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%if %{build_diet}
install -d $RPM_BUILD_ROOT%{_prefix}/lib/dietlibc/lib-%{_arch}
install libldetect-diet.a $RPM_BUILD_ROOT%{_prefix}/lib/dietlibc/lib-%{_arch}/libldetect.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS
%_bindir/*

%files -n %{lib_name}
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%_includedir/*
%_libdir/*.a
%if %{build_diet}
%{_prefix}/lib/dietlibc/lib-%{_arch}/libldetect.a
%endif
%_libdir/*.so






%changelog
* Thu Sep 24 2009 Oden Eriksson <oeriksson@mandriva.com> 0.7.26-4.2mdv2009.0
- build for updates

* Wed Sep 23 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.7.26-4.1mdv2009.0
+ Revision: 447767
- patch 2: do not display any warning when driver field is empty in
  /proc/bus/usb/devices (#53412)

* Wed Apr 22 2009 Security Team <security@mandriva.com> 0.7.26-3.1mdv2009.0
+ Revision: 368607
- built for updates

  + Pascal Terjan <pterjan@mandriva.org>
    - Fix build
    - Ignore USB interfaces which are not active
    - Fix parsing I: lines in /proc/bus/usb/devices
    - Get the class from the first interface claimed by a device if some are, instead of always the first one

  + root <root>
    - Branching 2009.0 release for updates.

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.26-3mdv2009.0
+ Revision: 264770
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.26-2mdv2009.0
+ Revision: 217574
- rebuilt against dietlibc-devel-0.32

* Tue Jun 10 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.26-1mdv2009.0
+ Revision: 217498
- adapt to pciutils-3.x API

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 0.7.25-1mdv2008.1
+ Revision: 192070
- 0.7.25
- correctly use usbdev busnum and devnum when finding USB device in
  sysfs to get its modalias (#38721)

* Thu Mar 20 2008 Pixel <pixel@mandriva.com> 0.7.24-1mdv2008.1
+ Revision: 189156
- 0.7.23:
- lspcidrake.c: when faking probe (ie -p, -u, --dmidecode), do not do real probe

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 0.7.23-1mdv2008.1
+ Revision: 176792
- 0.7.23
- fix segfault on x86_64

* Thu Feb 28 2008 Olivier Blin <oblin@mandriva.com> 0.7.22-1mdv2008.1
+ Revision: 176427
- 0.7.22
- really use modules.alias file from kernel or ldetect-lst

* Wed Feb 27 2008 Olivier Blin <oblin@mandriva.com> 0.7.21-1mdv2008.1
+ Revision: 175899
- build dietlibc version with -D_BSD_SOURCE -D_FILE_OFFSET_BITS=64 to be able to use dirent
- 0.7.21
- add back /bin/gzip support, and prefer it if available
  (and be 6 hundredths of second faster...)
- do not ignore subsequent modaliases if resolving one fails
- find modules from USB modaliases as well (#38158, useful when module
  is a dkms one, or during install where modules are not autoloaded,
  this could allow to remove most modules from usbtable)

* Wed Jan 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.20-2mdv2008.1
+ Revision: 140638
- rebuild with latest libpci
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 0.7.20-1mdv2008.0
+ Revision: 93761
- 0.7.20
- fix modalias fd leak (thanks to Anssi for the report

* Wed Sep 19 2007 Olivier Blin <oblin@mandriva.com> 0.7.19-1mdv2008.0
+ Revision: 90895
- 0.7.19
- replace '-' characters from USB drivers with '_' to be compliant
  with modnames from modaliases (partially fixes #33029)

* Tue Sep 11 2007 Olivier Blin <oblin@mandriva.com> 0.7.18-1mdv2008.0
+ Revision: 84471
- 0.7.18
- use ldetect-lst aliases from /lib/module-init-tools/, not from /usr
- do not read modules.dep (lspcidrake is now twice faster)

* Sun Sep 09 2007 Olivier Blin <oblin@mandriva.com> 0.7.17-1mdv2008.0
+ Revision: 83427
- 0.7.17
- use module aliases from first match only

* Fri Sep 07 2007 Olivier Blin <oblin@mandriva.com> 0.7.16-1mdv2008.0
+ Revision: 81779
- 0.7.16
- fallback on ldetect-lst's dkms-modules.alias if no alias is found
 (to find modules available in dkms packages)
- use ldetect's preferred-modules.alias file before other aliases files

* Mon Aug 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.15-1mdv2008.0
+ Revision: 71969
- fix soname

* Mon Aug 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.14-2mdv2008.0
+ Revision: 71947
- use gcc instead of ld again

* Mon Aug 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.13-2mdv2008.0
+ Revision: 71906
- fix overwriting pcitable results from modaliases
- use visibility in order to enforce exported ABI and to reduce code size

* Wed Aug 22 2007 Olivier Blin <oblin@mandriva.com> 0.7.12-2mdv2008.0
+ Revision: 69163
- 0.7.12
- prefer ldetect-lst's modules.alias if more recent
  (to detect modular IDE controllers when run from old kernels)

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 0.7.11-2mdv2008.0
+ Revision: 67451
- 0.7.11: revert '_' characters substitution

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.10-2mdv2008.0
+ Revision: 67220
- rebuild

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.10-1mdv2008.0
+ Revision: 64349
- fallback to ldetect-lst's modules.alias if kernel's modules.alias cannot be
  found (eg: installer)
- plug some minor memory leaks

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.9-2mdv2008.0
+ Revision: 64325
- fix zlib conversion which introduced a crash (#32590)

* Wed Aug 15 2007 Olivier Blin <oblin@mandriva.com> 0.7.8-2mdv2008.0
+ Revision: 63560
- build dietlibc library with -Os
- 0.7.8: use zlib to read gzipped files instead of piping gzip command

* Tue Aug 14 2007 Olivier Blin <oblin@mandriva.com> 0.7.7-2mdv2008.0
+ Revision: 63353
- add dietlibc static library

* Tue Aug 14 2007 Olivier Blin <oblin@mandriva.com> 0.7.7-1mdv2008.0
+ Revision: 63215
- package static library
- buildrequire mdoprobe-devel
- 0.7.7
- remove old 8139too/gdth hardcoded rules (already in modules.alias)
- replace '_' characters with '-' to be compliant with pcitable and list_modules.pm

* Mon Aug 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.6-2mdv2008.0
+ Revision: 62691
- rebuild with shared modprobe library

* Tue Aug 07 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.6-1mdv2008.0
+ Revision: 59871
- better error managment:
  o exit() is not nice error managment in a library
  o print fatal error on stderr (pixel)
- don't free before printing (pixel)

* Mon Aug 06 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.5-1mdv2008.0
+ Revision: 59402
- handle pcitable without description field

* Mon Aug 06 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.4-1mdv2008.0
+ Revision: 59342
- kill most quirks since they are obsolete now that we resolve modaliases
  (which bring in wildcard support)

* Mon Aug 06 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.3-4mdv2008.0
+ Revision: 59266
- versionnate module-init-tools-devel buildrequires
- fix buildrequires
- reuse modprobe code in order to resolve modaliases
- rebuild with latest pciutils

* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-2mdv2008.0
+ Revision: 44545
- new devel library policy

* Mon May 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-1.1mdv2008.0
+ Revision: 26722
- don't link with zlib since it's not needed

* Mon May 07 2007 Pixel <pixel@mandriva.com> 0.7.1-1mdv2008.0
+ Revision: 23997
- new release, 0.7.1 (build with zlib which is needed by libpci)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add zlib to buildrequires (see #30672, source needs to be patched in svn too..)


* Fri Mar 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.0-5mdv2007.1
+ Revision: 138796
- require pciids instead of /usr/share/pci.ids

* Thu Mar 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.0-4mdv2007.1
+ Revision: 138469
- ldetect engine now requires pci.ids
- fix conflict on x86_64

* Wed Feb 28 2007 Pixel <pixel@mandriva.com> 0.7.0-3mdv2007.1
+ Revision: 127029
- add explicit conflict on previous lib

* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.0-2mdv2007.1
+ Revision: 126045
- versionnate provides

* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.0-1mdv2007.1
+ Revision: 125975
- switch to pciutils as PCI enumerating backend
- use pciutils in order to get device descriptions from
  /usr/share/pci.ids
- export pci_domain and class (PCI class as reported by pciutils)
- bump major due to ABI changes

* Wed Jan 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.6.7-1mdv2007.1
+ Revision: 107141
- fix warnings on parsing /proc/bus/usb/devices with kernel-2.6.20

* Mon Nov 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.6.6-1mdv2007.0
+ Revision: 76952
- Import ldetect

* Mon Nov 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.6.6-1mdv2007.1
- fix parsing /proc/bus/usb/devices with large "parent device" field
  (veryy rare case)

* Thu Jul 13 2006 Olivier Blin <oblin@mandriva.com> 0.6.5-1mdv2007.0
- dmidecode >= 2.7 support
- fix freeing a reference to a constant string (fredl)

* Thu Jan 05 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.6.4-1mdk
- add support for pci domains

* Sat Aug 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.6.3-1mdk
- prevent spurious warnings for strange USB interfaces

* Tue May 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.6.2-1mdk
- do not try to run dmidecode when not root

* Thu Mar 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.1-1mdk
- fix SATA detection of latest NVidia controllers

* Mon Mar 14 2005 Pixel <pixel@mandrakesoft.com> 0.6.0-1mdk
- add dmitable parsing and use
- libldetect.so instead of libldetect.a
- libification

* Thu Feb 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.5-1mdk
- handle a few more special cases (gdth, snd-vx222, 8139too, and agp bridges)
- detect new VIA SATA controllers like kernel does

* Tue Dec 07 2004 Pixel <pixel@mandrakesoft.com> 0.5.4-1mdk
- all PCI_CLASS_BRIDGE_CARDBUS cards are yenta_socket (says kudzu)

* Fri Oct 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.3-1mdk
- keep existing description string if already reported by USB devices
  when usbtable description is empty (eg: freebox)

* Fri Jun 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.2-1mdk
- display driver reported by the kernel rather than "unknown"

